@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
   font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
   outline: none;
}

a, .btn-link {
   color: #0071c1;
}

.btn-primary {
   color: #fff;
   background-color: #1b6ec2;
   border-color: #1861ac;
}

.content {
   padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
   outline: 0.1px dashed #26b050;
}

.invalid {
   outline: 0.1px solid red;
}

.validation-message {
   color: red;
}

#blazor-error-ui {
   background: lightyellow;
   bottom: 0;
   box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
   display: none;
   left: 0;
   padding: 0.6rem 1.25rem 0.7rem 1.25rem;
   position: fixed;
   width: 100%;
   z-index: 1000;
}

   #blazor-error-ui .dismiss {
      cursor: pointer;
      position: absolute;
      right: 0.75rem;
      top: 0.5rem;
   }

.blazor-error-boundary {
   background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
   padding: 1rem 1rem 1rem 3.7rem;
   color: white;
}

   .blazor-error-boundary::after {
      content: "An error has occurred."
   }

article {
   display: flex;
   flex-grow: 1;
   overflow: auto;
   padding-bottom: 1.5rem;
}

.dx-grid-container {
   display: flex;
   flex-flow: column;
   overflow: hidden;
   height: 100%;
}

form > div {
   margin-bottom: 1rem;
}
/*.icon-button-custom:not(.dxbl-disabled):hover {
    color: color-mix(in srgb, var(--bs-primary) 80%, black 20%) !important;
    /*transform: translateY(-1px);
    transition: transform 0.15s ease-in-out;*/
}
/*.icon-button-custom{
    color: var(--bs-primary) !important;
}*/

.custom-grid {
   overflow: auto;
}

.custom-treelist {
   overflow: auto;
}


dxbl-grid td {
   white-space: nowrap;
}

.dxbl-grid-command-cell {
   padding: 0 !important;
}

   .dxbl-grid-command-cell > button {
      margin: 0 !important;
   }

dxbl-tree-list td {
   white-space: nowrap;
}



.dxbl-grid-edit-form-buttons {
   margin: 0;
}

.badge-container {
   text-overflow: ellipsis;
   overflow: hidden;
}

   .badge-container > span {
      background-color: var(--bs-primary);
      margin-right: .25rem;
      font-weight: normal;
      display: inline-flex;
      font-size: 0.7rem;
   }

.empty-area-text {
   color: var(--bs-gray-600);
}

.dxbl-grid-header {
   white-space: nowrap;
}

.dxbl-grid-header{
    white-space:nowrap;
}

.dxbl-grid-empty-data-area{
    padding:1em !important;
}


.combobox-item-template {
    display: flex;
    align-items: center;
    color: black;
}

    .combobox-item-template > img {
        border-radius: 50%;
        width: 2rem;
        height: 2rem;
    }

img + .combobox-item-template-text {
    margin-left: 1rem;
}

.combobox-item-template-text {
    display: flex;
    flex:1;
    flex-flow: column;
}

.combobox-item-template-employee-phone {
    opacity: 0.65;
}

.custom-fullpage-grid {
   display: flex;
   flex-direction: column;
   flex-grow: 1;
   height: 100%;
}


.company-area-treelist {
    overflow: auto;
    max-height: 50vh;
}


.company-area-treelist .dxbl-grid-header-row {
    display: none;
}
